package cn.com.countrygarden.bi.main.dao.bii;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import cn.com.countrygarden.bi.main.model.bii.BiIncomeMonth;




/**
 * Created by Leo on 2018/6/4
 */
@Mapper
public interface BiIncomeMonthMapper extends cn.com.countrygarden.bi.main.core.Mapper<BiIncomeMonth> {
	public List<BiIncomeMonth> getToMonthIncome(@Param("bim") BiIncomeMonth bim);
	public List<BiIncomeMonth> getHouAllMonthIncome(@Param("bim") BiIncomeMonth bim);
	public void  updateToMonthIncomeJuZheLe(@Param("bim") BiIncomeMonth bim);
	public void  insertToMonthIncomeJuZheLe(@Param("bim") BiIncomeMonth bim);
	void insertToMonthIncomeHZJuZheLe(@Param("y") int year, @Param("m") int month);
	public BiIncomeMonth getToMonthIncomeJuZheLeone(@Param("bim") BiIncomeMonth bim);
	public void getcall();
}
